\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D and 3D Linear Geometry Kernel

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Functions
CGAL::orthogonal_vector()
Global Kernel Functions

##

## Functions
template<typename Kernel >
CGAL::Vector_3< Kernel > | CGAL::orthogonal_vector (const CGAL::Plane_3< Kernel > &p)
| computes an orthogonal vector of the plane `p`, which is directed to the positive side of this plane.
template<typename Kernel >
CGAL::Vector_3< Kernel > | CGAL::orthogonal_vector (const CGAL::Point_3< Kernel > &p, const CGAL::Point_3< Kernel > &q, const CGAL::Point_3< Kernel > &r)
| computes an orthogonal vector of the plane defined by `p`, `q` and `r`, which is directed to the positive side of this plane.